rte_flow_port_attr(3)

NAME
rte_flow_port_attr

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t nb_counters
uint32_t nb_aging_objects
uint32_t nb_meters
uint32_t nb_conn_tracks
uint16_t host_port_id
uint32_t nb_quotas
uint32_t flags

Detailed Description

Warning
    EXPERIMENTAL: this API may change without prior notice.

Flow engine resources settings. The zero value means on demand resource allocations only.

Definition at line 5589 of file rte_flow.h.

Field Documentation

  uint32_t nb_counters
Number of counters to configure.

See also
    RTE_FLOW_ACTION_TYPE_COUNT

Definition at line 5594 of file rte_flow.h.

  uint32_t nb_aging_objects
Number of aging objects to configure.

See also
    RTE_FLOW_ACTION_TYPE_AGE

Definition at line 5599 of file rte_flow.h.

  uint32_t nb_meters
Number of traffic meters to configure.

See also
    RTE_FLOW_ACTION_TYPE_METER

Definition at line 5604 of file rte_flow.h.

  uint32_t nb_conn_tracks
Number of connection trackings to configure.

See also
    RTE_FLOW_ACTION_TYPE_CONNTRACK

Definition at line 5609 of file rte_flow.h.

  uint16_t host_port_id
Port to base shared objects on.

Definition at line 5613 of file rte_flow.h.

  uint32_t nb_quotas
Maximum number of quota actions.

See also
    RTE_FLOW_ACTION_TYPE_QUOTA

Definition at line 5618 of file rte_flow.h.

  uint32_t flags
Port flags (RTE_FLOW_PORT_FLAG_*).

Definition at line 5622 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.